@gar/hapi-json-api

4.0.0 • Public • Published

hapi-json-api

Note: This package has been archived, as the maintainer moved away from Hapi when the project was first discontinued. Hapi seems to be alive again, but this package will not be updated anymore. It is updated to Hapi 21, but this is done naivly without much testing. Use it if it works. :)

Hapi plugin for enabling/enforcing JSON-API specification.

Original project transferred from @wraithgar.

Current Version Greenkeeper badge

Support

We support Hapi 21 from version 4.x, and require Node >= 14.15.

Getting started

Installing

npm install @gar/hapi-json-api

Example of use

const jsonApi = require('@gar/hapi-json-api');

// where server is a hapi server, for hapi 21:
await server.register({
    plugin: jsonApi,
    options: {}
});

Configuration

Pass an optional meta parameter to options to have that included in the meta response namespace for all replies from your server

Features

  • Enforces Accept/Content-type rules defined in spec

  • Rewrites Boom errors to be spec compliant

Note: Objects coming back from your handlers is not validated as of now. It is assumed to be in proper json-api format and simply passed on.

Contributing

Please read CONTRIBUTING for details on our code of conduct, and the process for submitting pull requests.

License

This project is licensed under the MIT License - see the LICENSE file for details.

Package Sidebar

Install

npm i @gar/hapi-json-api

Weekly Downloads

47

Version

4.0.0

License

MIT

Unpacked Size

7.24 kB

Total Files

7

Last publish

Collaborators

  • gar
  • gr2m
  • kjellmorten